Bug 731172 (CVE-2011-1833)

Summary: CVE-2011-1833 kernel: ecryptfs: mount source TOCTOU race
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: arozansk, dhoward, fhrbata, jrieden, kernel-mgr, lwang, nobody, peterm, plougher, tcallawa
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20110809,reported=20110801,source=vendor-sec,impact=moderate,cvss2=3.3/AV:L/AC:M/Au:N/C:P/I:P/A:N,rhel-5/kernel=affected,rhel-6/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected,cwe=CWE-367[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 731173, 731174, 731175, 731176, 748695    
Bug Blocks: 729914    

Description Petr Matousek 2011-08-16 16:14:32 EDT
Vasiliy Kulikov of Openwall and Dan Rosenberg discovered that eCryptfs incorrectly validated permissions on the requested source directory. A local attacker could use this flaw to mount an arbitrary directory, possibly leading to information disclosure.

Upstream fix:
764355487ea220fdc2faf128d577d7f679b91f97

References:
https://bugs.launchpad.net/ecryptfs/+bug/732628
Comment 3 Tomas Hoger 2011-08-17 03:03:59 EDT
(In reply to comment #0)
> Upstream fix:
> 764355487ea220fdc2faf128d577d7f679b91f97

http://git.kernel.org/?p=linux/kernel/git/ecryptfs/ecryptfs-2.6.git;a=commitdiff;h=764355487ea220fdc2faf128d577d7f679b91f97

ecryptfs-utils patch to make it use new mount option:
https://bugzilla.redhat.com/show_bug.cgi?id=729465#c2
Comment 4 Murray McAllister 2011-08-30 22:40:45 EDT
Acknowledgements:

Red Hat would like to thank the Ubuntu Security Team for reporting this issue. The Ubuntu Security Team acknowledges Vasiliy Kulikov of Openwall and Dan Rosenberg as the original reporters.
Comment 5 errata-xmlrpc 2011-10-05 17:48:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1350 https://rhn.redhat.com/errata/RHSA-2011-1350.html
Comment 6 errata-xmlrpc 2011-10-20 13:29:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html
Comment 7 Eugene Teo (Security Response) 2011-10-25 00:09:59 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748695]